Signed-off-by: Brian Goff <cpuguy83@gmail.com>
| ... | ... |
@@ -177,13 +177,6 @@ RUN --mount=type=cache,target=/root/.cache/go-build \ |
| 177 | 177 |
--mount=type=bind,src=hack/dockerfile/install,target=/tmp/install \ |
| 178 | 178 |
PREFIX=/build /tmp/install/install.sh containerd |
| 179 | 179 |
|
| 180 |
-FROM dev-base AS proxy |
|
| 181 |
-ARG LIBNETWORK_COMMIT |
|
| 182 |
-RUN --mount=type=cache,target=/root/.cache/go-build \ |
|
| 183 |
- --mount=type=cache,target=/go/pkg/mod \ |
|
| 184 |
- --mount=type=bind,src=hack/dockerfile/install,target=/tmp/install \ |
|
| 185 |
- PREFIX=/build /tmp/install/install.sh proxy |
|
| 186 |
- |
|
| 187 | 180 |
FROM base AS golangci_lint |
| 188 | 181 |
ARG GOLANGCI_LINT_COMMIT |
| 189 | 182 |
RUN --mount=type=cache,target=/root/.cache/go-build \ |
| ... | ... |
@@ -318,7 +311,6 @@ COPY --from=runc /build/ /usr/local/bin/ |
| 318 | 318 |
COPY --from=containerd /build/ /usr/local/bin/ |
| 319 | 319 |
COPY --from=rootlesskit /build/ /usr/local/bin/ |
| 320 | 320 |
COPY --from=vpnkit /build/ /usr/local/bin/ |
| 321 |
-COPY --from=proxy /build/ /usr/local/bin/ |
|
| 322 | 321 |
ENV PATH=/usr/local/cli:$PATH |
| 323 | 322 |
ARG DOCKER_BUILDTAGS |
| 324 | 323 |
ENV DOCKER_BUILDTAGS="${DOCKER_BUILDTAGS}"
|
| ... | ... |
@@ -364,7 +356,6 @@ COPY --from=tini /build/ /usr/local/bin/ |
| 364 | 364 |
COPY --from=runc /build/ /usr/local/bin/ |
| 365 | 365 |
COPY --from=containerd /build/ /usr/local/bin/ |
| 366 | 366 |
COPY --from=rootlesskit /build/ /usr/local/bin/ |
| 367 |
-COPY --from=proxy /build/ /usr/local/bin/ |
|
| 368 | 367 |
COPY --from=vpnkit /build/ /usr/local/bin/ |
| 369 | 368 |
WORKDIR /go/src/github.com/docker/docker |
| 370 | 369 |
|
| ... | ... |
@@ -121,7 +121,7 @@ pipeline {
|
| 121 | 121 |
-e VALIDATE_BRANCH=${CHANGE_TARGET} \
|
| 122 | 122 |
docker:${GIT_COMMIT} \
|
| 123 | 123 |
hack/make.sh \ |
| 124 |
- dynbinary-daemon \ |
|
| 124 |
+ dynbinary \ |
|
| 125 | 125 |
test-docker-py |
| 126 | 126 |
''' |
| 127 | 127 |
} |
| ... | ... |
@@ -160,7 +160,7 @@ pipeline {
|
| 160 | 160 |
-e DOCKER_GITCOMMIT=${GIT_COMMIT} \
|
| 161 | 161 |
-e DOCKER_GRAPHDRIVER \ |
| 162 | 162 |
docker:${GIT_COMMIT} \
|
| 163 |
- hack/make.sh binary-daemon |
|
| 163 |
+ hack/make.sh binary |
|
| 164 | 164 |
''' |
| 165 | 165 |
} |
| 166 | 166 |
} |
| ... | ... |
@@ -319,7 +319,7 @@ pipeline {
|
| 319 | 319 |
-e DOCKER_GRAPHDRIVER \ |
| 320 | 320 |
docker:${GIT_COMMIT} \
|
| 321 | 321 |
hack/make.sh \ |
| 322 |
- dynbinary-daemon |
|
| 322 |
+ dynbinary |
|
| 323 | 323 |
|
| 324 | 324 |
# flaky + integration |
| 325 | 325 |
TEST_INTEGRATION_DEST=1 CONTAINER_NAME=${CONTAINER_NAME}-1 TEST_SKIP_INTEGRATION_CLI=1 run_tests test-integration-flaky &
|
| ... | ... |
@@ -14,7 +14,7 @@ copy_binaries() {
|
| 14 | 14 |
return |
| 15 | 15 |
fi |
| 16 | 16 |
echo "Copying nested executables into $dir" |
| 17 |
- for file in containerd containerd-shim containerd-shim-runc-v2 ctr runc docker-init docker-proxy rootlesskit rootlesskit-docker-proxy dockerd-rootless.sh dockerd-rootless-setuptool.sh; do |
|
| 17 |
+ for file in containerd containerd-shim containerd-shim-runc-v2 ctr runc docker-init rootlesskit rootlesskit-docker-proxy dockerd-rootless.sh dockerd-rootless-setuptool.sh; do |
|
| 18 | 18 |
cp -f "$(command -v "$file")" "$dir/" |
| 19 | 19 |
if [ "$hash" = "hash" ]; then |
| 20 | 20 |
hash_files "$dir/$file" |
| ... | ... |
@@ -31,5 +31,11 @@ copy_binaries() {
|
| 31 | 31 |
} |
| 32 | 32 |
|
| 33 | 33 |
[ -z "$KEEPDEST" ] && rm -rf "$DEST" |
| 34 |
-source "${MAKEDIR}/.binary"
|
|
| 35 |
-copy_binaries "$DEST" 'hash' |
|
| 34 |
+ |
|
| 35 |
+( |
|
| 36 |
+ GO_PACKAGE='github.com/docker/docker/cmd/dockerd' |
|
| 37 |
+ BINARY_SHORT_NAME='dockerd' |
|
| 38 |
+ |
|
| 39 |
+ source "${MAKEDIR}/.binary"
|
|
| 40 |
+ copy_binaries "$DEST" 'hash' |
|
| 41 |
+) |
| ... | ... |
@@ -1,11 +1,16 @@ |
| 1 | 1 |
#!/usr/bin/env bash |
| 2 | 2 |
set -e |
| 3 | 3 |
|
| 4 |
+[ -z "$KEEPDEST" ] && rm -rf "$DEST" |
|
| 5 |
+ |
|
| 4 | 6 |
( |
| 5 | 7 |
export IAMSTATIC='false' |
| 6 | 8 |
export LDFLAGS_STATIC_DOCKER='' |
| 7 | 9 |
export BUILDFLAGS=("${BUILDFLAGS[@]/netgo /}") # disable netgo, since we don't need it for a dynamic binary
|
| 8 | 10 |
export BUILDFLAGS=("${BUILDFLAGS[@]/osusergo /}") # ditto for osusergo
|
| 9 | 11 |
export BUILDFLAGS=("${BUILDFLAGS[@]/static_build /}") # we're not building a "static" binary here
|
| 12 |
+ |
|
| 13 |
+ GO_PACKAGE='github.com/docker/docker/cmd/dockerd' |
|
| 14 |
+ BINARY_SHORT_NAME='dockerd' |
|
| 10 | 15 |
source "${MAKEDIR}/.binary"
|
| 11 | 16 |
) |
| 12 | 17 |
new file mode 100644 |
| ... | ... |
@@ -0,0 +1,15 @@ |
| 0 |
+#!/usr/bin/env bash |
|
| 1 |
+ |
|
| 2 |
+set -e |
|
| 3 |
+ |
|
| 4 |
+( |
|
| 5 |
+ export IAMSTATIC='false' |
|
| 6 |
+ export LDFLAGS_STATIC_DOCKER='' |
|
| 7 |
+ export BUILDFLAGS=("${BUILDFLAGS[@]/netgo /}") # disable netgo, since we don't need it for a dynamic binary
|
|
| 8 |
+ export BUILDFLAGS=("${BUILDFLAGS[@]/osusergo /}") # ditto for osusergo
|
|
| 9 |
+ export BUILDFLAGS=("${BUILDFLAGS[@]/static_build /}") # we're not building a "static" binary here
|
|
| 10 |
+ |
|
| 11 |
+ GO_PACKAGE='github.com/docker/docker/libnetwork/cmd/proxy' |
|
| 12 |
+ BINARY_SHORT_NAME='docker-proxy' |
|
| 13 |
+ source "${MAKEDIR}/.binary"
|
|
| 14 |
+) |